Bug 134566 - [patch] bsd.sites.mk: create list of kernel.org mirrors and use it
Summary: [patch] bsd.sites.mk: create list of kernel.org mirrors and use it
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-15 21:00 UTC by Eygene Ryabinkin
Modified: 2009-06-15 20:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2009-05-15 21:00:08 UTC
There are a bunch of kernel.org mirrors, but there is no corresponding
MASTER_SITE knobs in the bsd.sites.mk.

Fix: The following patch add MASTER_SITE_KERNEL_ORG and use it for all ports
that are currently downloading the stuff from kernel.org or its mirrors.


I had verified that all distfiles can be fetched with the corrected
master site lists: some kernel.org mirrors seem to be a bit out of date,
but not all.  One should also pay attention to the fact that
www.XX.kernel.org is just a DNS alias for the bunch of hosts and only
some of the backends are out of date.--TspreggMVKzm3OpnkWqbo5MUutG9sYKmYuKErAcYW4noKIBY
Content-Type: text/plain; name="use-kernel.org-mirrors.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="use-kernel.org-mirrors.diff"

From be5d2c172de4a71725e2be958e8ffacc15b5c9a2 Mon Sep 17 00:00:00 2001
From: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
Date: Thu, 7 May 2009 09:06:37 +0400

...and use it in all ports that download sources from there.  The list
was composed from mirrors that have 2 or more backend hosts behind their
DNS names.

Signed-off-by: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
---
 Mk/bsd.sites.mk                  |   12 ++++++++++++
 comms/openobex/Makefile          |    4 ++--
 devel/cgit/Makefile              |    3 ++-
 devel/git/Makefile               |    3 ++-
 devel/libpci/Makefile            |    3 ++-
 ftp/tftp-hpa/Makefile            |    3 ++-
 security/linux-pam-docs/Makefile |    3 ++-
 sysutils/linrename/Makefile      |    4 ++--
 sysutils/linuxfdisk/Makefile     |    4 ++--
 sysutils/pciutils/Makefile       |    3 ++-
 sysutils/syslinux/Makefile       |    3 ++-
 sysutils/zisofs-tools/Makefile   |    3 ++-
 12 files changed, 34 insertions(+), 14 deletions(-)

diff --git a/Mk/bsd.sites.mk b/Mk/bsd.sites.mk
index 841912a..2864705 100644
--- a/Mk/bsd.sites.mk
+++ b/Mk/bsd.sites.mk
@@ -1472,6 +1472,18 @@ MASTER_SITE_XORG+= \
 	ftp://ftp.x.org/pub/%SUBDIR%/
 .endif
 
+.if !defined(IGNORE_MASTER_SITE_KERNEL_ORG)
+MASTER_SITE_KERNEL_ORG+= \
+	http://kernel.org/pub/%SUBDIR%/ \
+	http://www.us.kernel.org/pub/%SUBDIR%/ \
+	http://www.uk.kernel.org/pub/%SUBDIR%/ \
+	http://www.no.kernel.org/pub/%SUBDIR%/ \
+	http://www.de.kernel.org/pub/%SUBDIR%/ \
+	http://www.it.kernel.org/pub/%SUBDIR%/ \
+	http://www.ru.kernel.org/pub/%SUBDIR%/ \
+	http://www.au.kernel.org/pub/%SUBDIR%/
+.endif
+
 # Macro magic
 
 MASTER_SITES_ABBREVS=	CPAN:PERL_CPAN SF:SOURCEFORGE SFE:SOURCEFORGE_EXTENDED \
diff --git a/comms/openobex/Makefile b/comms/openobex/Makefile
index c52c56c..cf96e61 100644
--- a/comms/openobex/Makefile
+++ b/comms/openobex/Makefile
@@ -8,8 +8,8 @@
 PORTNAME=	openobex
 PORTVERSION=	1.4
 CATEGORIES=	comms net
-MASTER_SITES=	http://www.kernel.org/pub/linux/bluetooth/ \
-		http://www.de.kernel.org/pub/linux/bluetooth/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	linux/bluetooth
 
 MAINTAINER=	mad@madpilot.net
 COMMENT=	Open source implementation of the OBEX protocol
diff --git a/devel/cgit/Makefile b/devel/cgit/Makefile
index e8ada28..50e4eee 100644
--- a/devel/cgit/Makefile
+++ b/devel/cgit/Makefile
@@ -9,7 +9,8 @@ PORTNAME=	cgit
 PORTVERSION=	0.8.2
 CATEGORIES=	devel www
 MASTER_SITES= 	http://hjemli.net/git/cgit/snapshot/:cgit \
-		http://www.kernel.org/pub/software/scm/git/:git
+		${MASTER_SITE_KERNEL_ORG:S/$/:git/g}
+MASTER_SITE_SUBDIR=	software/scm/git/:git
 DISTFILES=	cgit-${PORTVERSION}${EXTRACT_SUFX}:cgit \
 		git-${GIT_VERSION}.tar.bz2:git
 GIT_VERSION=	1.6.1.1
diff --git a/devel/git/Makefile b/devel/git/Makefile
index 3b989b2..07021c5 100644
--- a/devel/git/Makefile
+++ b/devel/git/Makefile
@@ -8,7 +8,8 @@
 PORTNAME=	git
 PORTVERSION=	1.6.2.5
 CATEGORIES=	devel
-MASTER_SITES=	http://www.kernel.org/pub/software/scm/git/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	software/scm/${PORTNAME}
 DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX} \
 		${PORTNAME}-manpages-${PORTVERSION}${EXTRACT_SUFX} \
 		${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}.sign
diff --git a/devel/libpci/Makefile b/devel/libpci/Makefile
index 0c10fae..442fdf1 100644
--- a/devel/libpci/Makefile
+++ b/devel/libpci/Makefile
@@ -10,8 +10,9 @@ PORTVERSION=	2.2.8
 PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/ \
-		ftp://ftp.kernel.org/pub/software/utils/pciutils/ \
+		${MASTER_SITE_KERNEL_ORG} \
 		ftp://metalab.unc.edu/pub/Linux/hardware/
+MASTER_SITE_SUBDIR=	software/utils/pciutils
 DISTNAME=	pciutils-${PORTVERSION}
 
 MAINTAINER=	sbahra@gwu.edu
diff --git a/ftp/tftp-hpa/Makefile b/ftp/tftp-hpa/Makefile
index 3ed93c5..7031a1d 100644
--- a/ftp/tftp-hpa/Makefile
+++ b/ftp/tftp-hpa/Makefile
@@ -8,7 +8,8 @@
 PORTNAME=	tftp-hpa
 PORTVERSION=	0.49
 CATEGORIES=	ftp
-MASTER_SITES=	ftp://ftp.kernel.org/pub/software/network/tftp/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	software/network/tftp
 
 MAINTAINER=	brooks@FreeBSD.org
 COMMENT=	An advanced tftp server
diff --git a/security/linux-pam-docs/Makefile b/security/linux-pam-docs/Makefile
index 497ef0e..8c4f334 100644
--- a/security/linux-pam-docs/Makefile
+++ b/security/linux-pam-docs/Makefile
@@ -8,7 +8,8 @@
 PORTNAME=	linux-pam-docs
 PORTVERSION=	0.76
 CATEGORIES=	security
-MASTER_SITES=	http://www.kernel.org/pub/linux/libs/pam/pre/doc/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	linux/libs/pam/pre/history
 DISTNAME=	Linux-PAM-${PORTVERSION}-docs
 
 MAINTAINER=	ports@FreeBSD.org
diff --git a/sysutils/linrename/Makefile b/sysutils/linrename/Makefile
index e5d5282..e649ffc 100644
--- a/sysutils/linrename/Makefile
+++ b/sysutils/linrename/Makefile
@@ -12,8 +12,8 @@ CATEGORIES=	sysutils
 MASTER_SITES=	http://mirror.linux.org.au/pub/linux/utils/util-linux/ \
 		http://debian.csail.mit.edu/pub/linux/utils/util-linux/ \
 		http://www.club.cc.cmu.edu/pub/linux.out-of-date/utils/util-linux/ \
-		http://www.kernel.org/pub/linux/utils/util-linux/ \
-		ftp://ftp.kernel.org/pub/linux/utils/util-linux/old/
+		${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	linux/utils/util-linux
 DISTNAME=	util-linux-${PORTVERSION}
 
 MAINTAINER=	Net147@hotmail.com
diff --git a/sysutils/linuxfdisk/Makefile b/sysutils/linuxfdisk/Makefile
index d6606b8..c8b6302 100644
--- a/sysutils/linuxfdisk/Makefile
+++ b/sysutils/linuxfdisk/Makefile
@@ -8,9 +8,9 @@
 PORTNAME=	linuxfdisk
 PORTVERSION=	2.11z
 CATEGORIES=	sysutils
-MASTER_SITES=	ftp://ftp.kernel.org/pub/linux/utils/util-linux/ \
-		ftp://ftp.kernel.org/pub/linux/utils/util-linux/old/ \
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG} \
 		ftp://segfault.kiev.ua/pub/
+MASTER_SITE_SUBDIR=	linux/utils/util-linux/old
 DISTNAME=	util-linux-${PORTVERSION}
 EXTRACT_SUFX=	.tar.bz2
 
diff --git a/sysutils/pciutils/Makefile b/sysutils/pciutils/Makefile
index 931804b..921932e 100644
--- a/sysutils/pciutils/Makefile
+++ b/sysutils/pciutils/Makefile
@@ -9,8 +9,9 @@ PORTNAME=	pciutils
 PORTVERSION=	3.0.3
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/ \
-		ftp://ftp.kernel.org/pub/software/utils/pciutils/ \
+		${MASTER_SITE_KERNEL_ORG} \
 		ftp://metalab.unc.edu/pub/Linux/hardware/
+MASTER_SITE_SUBDIR=	software/utils/pciutils
 
 MAINTAINER=	sbahra@gwu.edu
 COMMENT=	PCI configuration utilities
diff --git a/sysutils/syslinux/Makefile b/sysutils/syslinux/Makefile
index 75c79eb..0d04c6b 100644
--- a/sysutils/syslinux/Makefile
+++ b/sysutils/syslinux/Makefile
@@ -9,7 +9,8 @@
 PORTNAME=	syslinux
 PORTVERSION=	3.72
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.kernel.org/pub/linux/utils/boot/syslinux/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	linux/boot/syslinux/Old
 
 MAINTAINER=	luigi@FreeBSD.org
 COMMENT=	Syslinux for FreeBSD
diff --git a/sysutils/zisofs-tools/Makefile b/sysutils/zisofs-tools/Makefile
index 28621fc..abc0099 100644
--- a/sysutils/zisofs-tools/Makefile
+++ b/sysutils/zisofs-tools/Makefile
@@ -8,7 +8,8 @@
 PORTNAME=	zisofs-tools
 PORTVERSION=	1.0.8
 CATEGORIES=	sysutils
-MASTER_SITES=	http://www.kernel.org/pub/linux/utils/fs/zisofs/
+MASTER_SITES=	${MASTER_SITE_KERNEL_ORG}
+MASTER_SITE_SUBDIR=	linux/utils/fs/zisofs
 
 MAINTAINER=	chip-set@mail.ru
 COMMENT=	User utilities for zisofs
-- 
1.6.1.3
How-To-Repeat: 
Look at bsd.sites.mk.
Comment 1 Wesley Shields freebsd_committer 2009-05-15 21:02:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-06-01 17:00:56 UTC
wxs         2009-06-01 16:00:39 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.sites.mk 
  Log:
  - Add MASTER_SITE_KERNEL_ORG
  
  PR:             ports/134566
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  
  Revision  Changes    Path
  1.475     +13 -1     ports/Mk/bsd.sites.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2009-06-01 17:01:35 UTC
wxs         2009-06-01 16:01:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/git            Makefile 
  Log:
  - Use brand new MASTER_SITE_KERNEL_ORG
  
  PR:             ports/134566
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  
  Revision  Changes    Path
  1.55      +2 -1      ports/devel/git/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2009-06-01 17:13:04 UTC
wxs         2009-06-01 16:12:50 UTC

  FreeBSD ports repository

  Modified files:
    security/linux-pam-docs Makefile 
  Log:
  - Switch to using MASTER_SITE_KERNEL_ORG
  
  PR:             ports/134566
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  
  Revision  Changes    Path
  1.3       +2 -1      ports/security/linux-pam-docs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2009-06-01 17:55:37 UTC
wxs         2009-06-01 16:55:28 UTC

  FreeBSD ports repository

  Modified files:
    comms/openobex       Makefile 
  Log:
  - Switch to using new MASTER_SITE_KERNEL_ORG
  
  PR:             ports/134566
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  Approved by:    Guido Falsi <mad@madpilot.net> (maintainer)
  
  Revision  Changes    Path
  1.16      +2 -2      ports/comms/openobex/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2009-06-01 19:23:17 UTC
I have committed the pieces for bsd.sites.mk and three of the other ports
(comms/openobex, devel/git, and security/linux-pam-docs). I have mailed
the maintainers of the rest of the ports to see if they want to commit
it themselves or not at all. I am leaving this open as a reminder to
myself to commit the rest in 2 weeks if the rest of the maintainers do
not respond.

-- WXS
Comment 7 dfilter service freebsd_committer 2009-06-15 19:55:55 UTC
wxs         2009-06-15 18:55:42 UTC

  FreeBSD ports repository

  Modified files:
    devel/libpci         Makefile 
    ftp/tftp-hpa         Makefile 
    sysutils/linrename   Makefile 
    sysutils/linuxfdisk  Makefile 
    sysutils/pciutils    Makefile 
    sysutils/syslinux    Makefile 
  Log:
  - Use MASTER_SITES_KERNEL_ORG
  
  PR:             ports/134566
  Approved by:    all maintainer timeouts
  
  Revision  Changes    Path
  1.11      +2 -1      ports/devel/libpci/Makefile
  1.10      +2 -1      ports/ftp/tftp-hpa/Makefile
  1.5       +2 -2      ports/sysutils/linrename/Makefile
  1.6       +2 -2      ports/sysutils/linuxfdisk/Makefile
  1.13      +2 -1      ports/sysutils/pciutils/Makefile
  1.3       +2 -1      ports/sysutils/syslinux/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wesley Shields freebsd_committer 2009-06-15 19:55:58 UTC
State Changed
From-To: open->closed

I've committed the rest of the updates that were left for this. Thank 
you for your submission.